//This code is generated from a ModelicaML model.

within TwoTanksExample.Design.Components;

model TanksConnectedPI  
	TwoTanksExample.Design.Components.LiquidSource source;
	TwoTanksExample.Design.Components.Tank tank1(area = 1);
	TwoTanksExample.Design.Components.Tank tank2(area = 1.3);
	replaceable TwoTanksExample.Design.Components.PIcontinuousController controller1(ref = 0.25);
	replaceable TwoTanksExample.Design.Components.PIcontinuousController controller2(ref = 0.4);
	equation
		connect(source.qOut, tank1.qIn);
		connect(tank1.tSensor, controller1.cIn);
		connect(tank1.tActuator, controller1.cOut);
		connect(tank1.qOut, tank2.qIn);
		connect(tank2.tSensor, controller2.cIn);
		connect(tank2.tActuator, controller2.cOut);
	
end TanksConnectedPI;

