//This code is generated from a ModelicaML model.

within TwoTanksExample.aVeMs__SystemEnvironment_20120820144752;

model aVeM__Change_of_input_flow_4  
	annotation(Diagram(coordinateSystem(extent = {{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10})), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-100,29.881},{100,99.881}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-100,-100.119},{100,29.881}}),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-97.7991,37.5817},{94.8229,67.7755}}, textString = "aVeM: Change of input flow_4", fontName = "Arial"),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-92.381,70.2284},{87.619,92.8668}}, textString = "model", fontName = "Arial"),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-98.093,-93.5063},{97.4978,25.0539}}, textString = "M", fontName = "Arial")}));
	model _ReqVerificationVerdict  
		input Boolean allRequirementsEvaluated;
		input Boolean someRequirementsViolated;
		Boolean requirementsViolationDetected;
		output Boolean testPassed;

		algorithm
			when someRequirementsViolated then 
				requirementsViolationDetected := true; 
			end when; 

			testPassed := allRequirementsEvaluated and not requirementsViolationDetected;
		
	end _ReqVerificationVerdict;
	TwoTanksExample.Design.SystemEnvironment sm_systemenvironment(twoTanksSystem.controller1.ref = vs_change_of_input_flow_4.refForController1, twoTanksSystem.controller2.ref = vs_change_of_input_flow_4.refForController2, twoTanksSystem.source.flowLevel = vs_change_of_input_flow_4.inputFlowLevel);
	TwoTanksExample.SpecialScenarios.Change_of_input_flow_4 vs_change_of_input_flow_4;
	TwoTanksExample.Requirements.Input_flow_limits req_002_input_flow_limits(inputFlowLevelTank1 = sm_systemenvironment.twoTanksSystem.tank1.qIn.lflow);
	TwoTanksExample.Requirements.Max_level_of_liquid_in_tank req_003_0_max_level_of_liquid_in_tank(levelInTank = sm_systemenvironment.twoTanksSystem.tank1.levelOfLiquid, tankHeight = sm_systemenvironment.twoTanksSystem.tank1.height);
	TwoTanksExample.Requirements.Max_level_of_liquid_in_tank req_003_1_max_level_of_liquid_in_tank(levelInTank = sm_systemenvironment.twoTanksSystem.tank2.levelOfLiquid, tankHeight = sm_systemenvironment.twoTanksSystem.tank2.height);
	TwoTanksExample.Requirements.Settling_time_and_bounds_after_a_change_of_input_flow req_004_0_settling_time_and_bounds_after_a_change_of_input_flow(inputLevelChanged = abs(sm_systemenvironment.twoTanksSystem.source.flowLevel - delay(sm_systemenvironment.twoTanksSystem.source.flowLevel, 0.1)) > 0.001, levelInTank = sm_systemenvironment.twoTanksSystem.tank1.levelOfLiquid, refLevel = sm_systemenvironment.twoTanksSystem.controller1.ref);
	TwoTanksExample.Requirements.Settling_time_and_bounds_after_a_change_of_input_flow req_004_1_settling_time_and_bounds_after_a_change_of_input_flow(inputLevelChanged = abs(sm_systemenvironment.twoTanksSystem.source.flowLevel - delay(sm_systemenvironment.twoTanksSystem.source.flowLevel, 0.1)) > 0.001, levelInTank = sm_systemenvironment.twoTanksSystem.tank2.levelOfLiquid, refLevel = sm_systemenvironment.twoTanksSystem.controller2.ref);
	TwoTanksExample.Requirements.System_draining_time req_005_system_draining_time(allTanksAreEmpty = sm_systemenvironment.twoTanksSystem.tank1.levelOfLiquid < 0.05 and sm_systemenvironment.twoTanksSystem.tank2.levelOfLiquid < 0.05, allTanksAreFull = sm_systemenvironment.twoTanksSystem.tank1.levelOfLiquid > 0.98 and sm_systemenvironment.twoTanksSystem.tank2.levelOfLiquid > 0.98, systemIsBeingDrained = sm_systemenvironment.twoTanksSystem.source.flowLevel < 0.0001);
	TwoTanksExample.Requirements.Volume_of_a_tank req_001_0_volume_of_a_tank(tankVolume = sm_systemenvironment.twoTanksSystem.tank1.volume);
	TwoTanksExample.Requirements.Volume_of_a_tank req_001_1_volume_of_a_tank(tankVolume = sm_systemenvironment.twoTanksSystem.tank2.volume);
	_ReqVerificationVerdict _reqVerificationVerdict(allRequirementsEvaluated = req_001_0_volume_of_a_tank.status > 0 and req_004_1_settling_time_and_bounds_after_a_change_of_input_flow.status > 0 and req_003_0_max_level_of_liquid_in_tank.status > 0 and req_001_1_volume_of_a_tank.status > 0 and req_002_input_flow_limits.status > 0 and req_004_0_settling_time_and_bounds_after_a_change_of_input_flow.status > 0 and req_003_1_max_level_of_liquid_in_tank.status > 0 and req_005_system_draining_time.status > 0, someRequirementsViolated = req_001_0_volume_of_a_tank.status == 2 or req_004_1_settling_time_and_bounds_after_a_change_of_input_flow.status == 2 or req_003_0_max_level_of_liquid_in_tank.status == 2 or req_001_1_volume_of_a_tank.status == 2 or req_002_input_flow_limits.status == 2 or req_004_0_settling_time_and_bounds_after_a_change_of_input_flow.status == 2 or req_003_1_max_level_of_liquid_in_tank.status == 2 or req_005_system_draining_time.status == 2);
	
end aVeM__Change_of_input_flow_4;

