//This code is generated from a ModelicaML model.

within TwoTanksExample.Requirements;

model System_draining_time  
	input Boolean allTanksAreFull= false;
	input Boolean allTanksAreEmpty= false;
	input Boolean systemIsBeingDrained= false;
	constant Real timeOut= 100;
	output Integer status "This property indicates the violation monitoring status. The values mean the following: 0=not evaluated, 1=evaluated and NOT violated, 2=evaluated and violated. ";
	record System_draining_time_StateMachine_Violation_Monitor
	annotation(Diagram(coordinateSystem(extent = {{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10})), Icon(coordinateSystem(extent = {{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10}), graphics = {Rectangle(visible = true, lineColor = {72,126,153}, fillColor = {219,241,255}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-75.0,-50.0},{75.0,50.0}}, radius = 30),Ellipse(visible = true, lineColor = {255,255,255}, fillColor = {72,126,153}, fillPattern = FillPattern.Solid, extent = {{44.3385,-21.3871},{92.5663,21.3871}})}));
		// lib properties STATE MACHINE
			Boolean active; // indicates if the state is active.
			Real timeAtActivation; // time when the state is entered.
			Real stime; // stime means "state time". It is is a local timer. It starts when the state is entered and is equal to zero if the state is not active.
			Boolean selfTransitionActivated;
		Boolean startBehaviour;
		// REGIONS instantiation
		Violation_Monitor_Region0 Region0;

		// REGIONS classes
		record Violation_Monitor_Region0
			annotation(Diagram(coordinateSystem(extent = {{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10})), Icon(coordinateSystem(extent = {{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10}), graphics = {Rectangle(visible = true, lineColor = {0,85,127}, fillColor = {224,242,255}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-78.5153,-50.0},{78.5153,50.0}}, radius = 30),Rectangle(visible = true, lineColor = {128,128,128}, fillColor = {128,128,128}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-2.0095,-8.4441},{2.0095,8.4441}}),Rectangle(visible = true, lineColor = {128,128,128}, fillColor = {128,128,128}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-2.3071,-45.0512},{1.7119,-28.163}}),Rectangle(visible = true, lineColor = {128,128,128}, fillColor = {128,128,128}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-2.0095,26.6749},{2.0095,43.5631}}),Rectangle(visible = true, lineColor = {0,85,127}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-50.5952,50.119},{-0.5952,70.119}})}));
			// SIMPLE STATES instantiation
			SimpleState waiting;
			InitialState Initial0;
			// COMPOSITE STATES instantiation
			Region0_system_is_being_drained system_is_being_drained;
			// COMPOSITE STATES classes
			record Region0_system_is_being_drained
				annotation(Diagram(coordinateSystem(extent = {{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10})), Icon(coordinateSystem(extent = {{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10}), graphics = {Rectangle(visible = true, origin = {-3.7995,0.2778}, lineColor = {104,182,221}, fillColor = {224,242,255}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-86.2005,-50.2778},{93.6579,59.7222}}, radius = 40),Text(visible = true, origin = {-3.6,0.8786}, lineColor = {0,0,255}, fillPattern = FillPattern.Solid, extent = {{-62.88,-35.04},{70.08,41.7601}}, textString = "SM", fontName = "Arial")}));
				// lib properties COMPOSITE STATE
					Boolean active; // indicates if the state is active.
					Real timeAtActivation; // time when the state is entered.
					Real stime; // stime means "state time". It is is a local timer. It starts when the state is entered and is equal to zero if the state is not active.
					Boolean selfTransitionActivated;
				// REGIONS instantiation
				system_is_being_drained_Region0 Region0;
				record system_is_being_drained_Region0
			annotation(Diagram(coordinateSystem(extent = {{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10})), Icon(coordinateSystem(extent = {{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10}), graphics = {Rectangle(visible = true, lineColor = {0,85,127}, fillColor = {224,242,255}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-78.5153,-50.0},{78.5153,50.0}}, radius = 30),Rectangle(visible = true, lineColor = {128,128,128}, fillColor = {128,128,128}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-2.0095,-8.4441},{2.0095,8.4441}}),Rectangle(visible = true, lineColor = {128,128,128}, fillColor = {128,128,128}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-2.3071,-45.0512},{1.7119,-28.163}}),Rectangle(visible = true, lineColor = {128,128,128}, fillColor = {128,128,128}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-2.0095,26.6749},{2.0095,43.5631}}),Rectangle(visible = true, lineColor = {0,85,127}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-50.5952,50.119},{-0.5952,70.119}})}));
			// SIMPLE STATES instantiation
			SimpleState waiting;
			SimpleState violated;
			SimpleState not_violated;
			InitialState Initial0;
			
			/* M@ debug variables */
			Integer numberOfActiveStates;
			
		end system_is_being_drained_Region0;
			end Region0_system_is_being_drained;
			
			/* M@ debug variables */
			Integer numberOfActiveStates;
			
		end Violation_Monitor_Region0;
		
		// library: SIMPLE STATE
		record SimpleState
			annotation(Diagram(coordinateSystem(extent = {{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10})), Icon(coordinateSystem(extent = {{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10}), graphics = {Rectangle(visible = true, origin = {-3.7995,0.2778}, lineColor = {104,182,221}, fillColor = {224,242,255}, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-86.2005,-50.2778},{93.6579,59.7222}}, radius = 40),Text(visible = true, origin = {-3.6,0.8786}, lineColor = {0,0,255}, fillPattern = FillPattern.Solid, extent = {{-62.88,-35.04},{70.08,41.7601}}, textString = "SM", fontName = "Arial")}));
			// lib properties SIMPLE STATE
				Boolean active; // indicates if the state is active.
				Real timeAtActivation; // time when the state is entered.
				Real stime; // stime means "state time". It is is a local timer. It starts when the state is entered and is equal to zero if the state is not active.
				Boolean selfTransitionActivated;
		end SimpleState;
			
			// library: INITIAL STATE
		record InitialState
			annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, origin={-0.0,0.0}, lineColor={0,85,127}, fillColor={104,182,221}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=10, extent={{-34.8134,-34.6638},{34.8134,34.6638}}, radius=40)}));
			// lib properties INITIAL STATE
				Boolean active; // indicates if the state is active.
				Real timeAtActivation; // time when the state is entered.
				Real stime; // stime means "state time". It is is a local timer. It starts when the state is entered and is equal to zero if the state is not active.
				Boolean selfTransitionActivated;
		end InitialState;	
		
				// library: FINAL STATE
		record FinalState
			annotation(Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, origin={0.0,0.0}, lineColor={0,85,127}, fillColor={255,255,255}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=10, extent={{-34.8134,-34.6638},{34.8134,34.6638}}, radius=40),Rectangle(visible=true, origin={0.0,0.0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=10, extent={{-17.2767,-17.2024},{17.2767,17.2024}}, radius=40)}));
			// lib properties FINAL STATE
				Boolean active; // indicates if the state is active.
				Real timeAtActivation; // time when the state is entered.
				Real stime; // stime means "state time". It is is a local timer. It starts when the state is entered and is equal to zero if the state is not active.
				Boolean selfTransitionActivated;
		end FinalState;	
	end System_draining_time_StateMachine_Violation_Monitor;



	// STATE MACHNE instantiation 
		System_draining_time_StateMachine_Violation_Monitor Violation_Monitor;
		
		/* M@ start composite system is being drained */

		/* M@ end composite system is being drained */
	algorithm
	algorithm

	/*** start behaviour code of state machine "Violation_Monitor" ***/
	algorithm

		
		
		/* M@ start composite system is being drained */

		/* M@ end composite system is being drained */

		/* initial state machine "Violation_Monitor" activation */
		Violation_Monitor.startBehaviour:=true; 
		when Violation_Monitor.startBehaviour then
		Violation_Monitor.active:=true; 
			Violation_Monitor.Region0.Initial0.active:=true;
		end when;	
		when {Violation_Monitor.active, Violation_Monitor.selfTransitionActivated} then
				Violation_Monitor.timeAtActivation := time;
				Violation_Monitor.selfTransitionActivated := false;
			end when;
			if Violation_Monitor.active then 
				Violation_Monitor.stime := time - Violation_Monitor.timeAtActivation;
			end if;
			if not Violation_Monitor.active then
				Violation_Monitor.stime := 0;
			end if;
		/*** start behaviour code of region "Violation_Monitor" ***/
	when {Violation_Monitor.Region0.Initial0.active, Violation_Monitor.Region0.Initial0.selfTransitionActivated} then
			Violation_Monitor.Region0.Initial0.timeAtActivation := time;
			Violation_Monitor.Region0.Initial0.selfTransitionActivated := false;
		end when;
		if Violation_Monitor.Region0.Initial0.active then 
			Violation_Monitor.Region0.Initial0.stime := time - Violation_Monitor.Region0.Initial0.timeAtActivation;
		end if;
		if not Violation_Monitor.Region0.Initial0.active then
			Violation_Monitor.Region0.Initial0.stime := 0;
		end if;
	when {Violation_Monitor.Region0.waiting.active, Violation_Monitor.Region0.waiting.selfTransitionActivated} then
			Violation_Monitor.Region0.waiting.timeAtActivation := time;
			Violation_Monitor.Region0.waiting.selfTransitionActivated := false;
		end when;
	when {Violation_Monitor.Region0.system_is_being_drained.active, Violation_Monitor.Region0.system_is_being_drained.selfTransitionActivated} then
			Violation_Monitor.Region0.system_is_being_drained.timeAtActivation := time;
			Violation_Monitor.Region0.system_is_being_drained.selfTransitionActivated := false;
		end when;
		if Violation_Monitor.Region0.waiting.active then 
			Violation_Monitor.Region0.waiting.stime := time - Violation_Monitor.Region0.waiting.timeAtActivation;
		end if;
		if not Violation_Monitor.Region0.waiting.active then
			Violation_Monitor.Region0.waiting.stime := 0;
		end if;
		if Violation_Monitor.Region0.system_is_being_drained.active then 
			Violation_Monitor.Region0.system_is_being_drained.stime := time - Violation_Monitor.Region0.system_is_being_drained.timeAtActivation;
		end if;
		if not Violation_Monitor.Region0.system_is_being_drained.active then
			Violation_Monitor.Region0.system_is_being_drained.stime := 0;
		end if;

	/*start transition code*/

	if (Violation_Monitor.Region0.Initial0.active) then	
		Violation_Monitor.Region0.Initial0.active := false;
		Violation_Monitor.Region0.waiting.active := true; 
		
	end if;	
	/*test the composite state is still active*/
	if(Violation_Monitor.active  ) then 
		 if pre(Violation_Monitor.Region0.waiting.active) then
			if     allTanksAreFull and systemIsBeingDrained then
			Violation_Monitor.Region0.waiting.active := false;
				Violation_Monitor.Region0.system_is_being_drained.active := true; 
			Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active := true;

			end if;
	elseif pre(Violation_Monitor.Region0.system_is_being_drained.active) then
			if     not systemIsBeingDrained then
			/*start composite highlevel transition deactivate active substate*/
			if (Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active) then
				Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active:=false;
			end if;
			if (Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active) then
				Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active:=false;
			end if;
			if (Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active) then
				Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active:=false;
			end if;
			/*end composite highlevel transition deactivate active substate*/
			Violation_Monitor.Region0.system_is_being_drained.active := false;
				Violation_Monitor.Region0.waiting.active := true;

			end if;
	end if;
	 end if; 
	/*end transition code*/
	/*start do Code*/


	/*end do Code*/


	/*start composite system is being drained */
			/*** start behaviour code of region "Violation_Monitor.Region0.system_is_being_drained" ***/
		when {Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active, Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.selfTransitionActivated} then
				Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.timeAtActivation := time;
				Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.selfTransitionActivated := false;
			end when;
			if Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active then 
				Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.stime := time - Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.timeAtActivation;
			end if;
			if not Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active then
				Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.stime := 0;
			end if;
		when {Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active, Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.selfTransitionActivated} then
				Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.timeAtActivation := time;
				Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.selfTransitionActivated := false;
			end when;
		when {Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active, Violation_Monitor.Region0.system_is_being_drained.Region0.violated.selfTransitionActivated} then
				Violation_Monitor.Region0.system_is_being_drained.Region0.violated.timeAtActivation := time;
				Violation_Monitor.Region0.system_is_being_drained.Region0.violated.selfTransitionActivated := false;
			end when;
		when {Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active, Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.selfTransitionActivated} then
				Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.timeAtActivation := time;
				Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.selfTransitionActivated := false;
			end when;
			if Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active then 
				Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.stime := time - Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.timeAtActivation;
			end if;
			if not Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active then
				Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.stime := 0;
			end if;
			if Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active then 
				Violation_Monitor.Region0.system_is_being_drained.Region0.violated.stime := time - Violation_Monitor.Region0.system_is_being_drained.Region0.violated.timeAtActivation;
			end if;
			if not Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active then
				Violation_Monitor.Region0.system_is_being_drained.Region0.violated.stime := 0;
			end if;
			if Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active then 
				Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.stime := time - Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.timeAtActivation;
			end if;
			if not Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active then
				Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.stime := 0;
			end if;

		/*start transition code*/

		if (Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active) then	
			Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active := false;
			Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active := true; 
			
		end if;	
		/*test the composite state is still active*/
		if(Violation_Monitor.Region0.system_is_being_drained.active  ) then 
			 if pre(Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active) then
				if     (Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.stime > (timeOut)) and not allTanksAreEmpty then
				Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active := false;
					Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active := true; 
					//state "Violation_Monitor.Region0.system_is_being_drained.Region0.violated": entry behavior
					status := 2;

					elseif				    (Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.stime > (timeOut)) and allTanksAreEmpty then
				Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active := false;
					Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active := true; 
					//state "Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated": entry behavior
					status := 1;
					
				end if;
		end if;
		 end if; 
		/*end transition code*/
		/*start do Code*/



		/*end do Code*/



		/*** end behaviour code of region "Region0" ***/
	/*end composite system is being drained */

	/*** end behaviour code of region "Region0" ***/

		/*start terminate code for state machine "Violation_Monitor"*/
		if (not Violation_Monitor.active) then
		/* M@ start terminate code of region "Violation_Monitor" ***/
		Violation_Monitor.Region0.Initial0.active := false;
		Violation_Monitor.Region0.waiting.active := false; 
		Violation_Monitor.Region0.system_is_being_drained.active := false; 
		/* M@ start composite system is being drained */
		/* M@ start terminate code of region "Violation_Monitor.Region0.system_is_being_drained" ***/
		Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active := false;
		Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active := false; 
		Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active := false; 
		Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active := false; 
		/* M@ end terminate code of region "Region0" ***/
		/* M@ end composite system is being drained */
		/* M@ end terminate code of region "Region0" ***/
		end if;
		/*end terminate code for state machine "Violation_Monitor"*/
	/*** end behaviour code of state machine "Violation_Monitor" ***/	
	/* M@ reset debug variabels */
	Violation_Monitor.Region0.numberOfActiveStates := 0; 

	/* M@ start debug code of region "----Violation_Monitor" ***/
	if Violation_Monitor.Region0.waiting.active then 
		Violation_Monitor.Region0.numberOfActiveStates := Violation_Monitor.Region0.numberOfActiveStates + 1; 
	end if;
	if Violation_Monitor.Region0.system_is_being_drained.active then 
		Violation_Monitor.Region0.numberOfActiveStates := Violation_Monitor.Region0.numberOfActiveStates + 1; 
	end if;
	if Violation_Monitor.Region0.Initial0.active then 
		Violation_Monitor.Region0.numberOfActiveStates := Violation_Monitor.Region0.numberOfActiveStates + 1; 
	end if;

	/* M@ validation code start*/

	if Violation_Monitor.active then 
		assert(not (Violation_Monitor.Region0.numberOfActiveStates < 1), "Violation_Monitor.Region0 has no active states although the parent state is active!");
		assert(not (Violation_Monitor.Region0.numberOfActiveStates > 1), "Violation_Monitor.Region0 has multiple active states which are mutually exclusive!");
	end if;

	if not Violation_Monitor.active then
		assert(Violation_Monitor.Region0.numberOfActiveStates == 0, "Violation_Monitor.Region0 has active states although the parent state is not active!");
	end if;

	/* M@ validation code start*/

	/* M@ start composite system is being drained */
			/* M@ reset debug variabels */
		Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates := 0; 

		/* M@ start debug code of region "----Violation_Monitor.Region0.system_is_being_drained" ***/
		if Violation_Monitor.Region0.system_is_being_drained.Region0.waiting.active then 
			Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates := Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates + 1; 
		end if;
		if Violation_Monitor.Region0.system_is_being_drained.Region0.violated.active then 
			Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates := Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates + 1; 
		end if;
		if Violation_Monitor.Region0.system_is_being_drained.Region0.not_violated.active then 
			Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates := Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates + 1; 
		end if;
		if Violation_Monitor.Region0.system_is_being_drained.Region0.Initial0.active then 
			Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates := Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates + 1; 
		end if;

		/* M@ validation code start*/

		if Violation_Monitor.Region0.system_is_being_drained.active then 
			assert(not (Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates < 1), "Violation_Monitor.Region0.system_is_being_drained.Region0 has no active states although the parent state is active!");
			assert(not (Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates > 1), "Violation_Monitor.Region0.system_is_being_drained.Region0 has multiple active states which are mutually exclusive!");
		end if;

		if not Violation_Monitor.Region0.system_is_being_drained.active then
			assert(Violation_Monitor.Region0.system_is_being_drained.Region0.numberOfActiveStates == 0, "Violation_Monitor.Region0.system_is_being_drained.Region0 has active states although the parent state is not active!");
		end if;

		/* M@ validation code start*/



		/* M@ end debug code of region "Region0" ***/
	/* M@ end composite system is being drained */


	/* M@ end debug code of region "Region0" ***/
end System_draining_time;

